# Debug Logging

Log.warning(object, message)

  Logs a warning message, like `wp_warning_object`

  Parameters

    - object (GObject or GBoxed) – optional object to associate the message with; you may skip this and just start with the message as the first parameter

    - message (string) – the warning message to log

Log.message(object, message)

  Logs a normal message, like `wp_message_object`

  Parameters

    - object (GObject or GBoxed) – optional object to associate the message with; you may skip this and just start with the message as the first parameter

    - message (string) – the normal message to log

Log.info(object, message)

  Logs a info message, like `wp_info_object`

  Parameters

    - object (GObject or GBoxed) – optional object to associate the message with; you may skip this and just start with the message as the first parameter

    - message (string) – the info message to log

Log.debug(object, message)

  Logs a debug message, like `wp_debug_object`

  Parameters

    - object (GObject or GBoxed) – optional object to associate the message with; you may skip this and just start with the message as the first parameter

    - message (string) – the debug message to log

Log.trace(object, message)

  Logs a trace message, like `wp_trace_object`

  Parameters

    - object (GObject or GBoxed) – optional object to associate the message with; you may skip this and just start with the message as the first parameter

    - message (string) – the trace message to log

Debug.dump_table(t)

  Prints a table with all its contents, recursively, to stdout for debugging purposes

  Parameters

    t (table) – any table